Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network243.216.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
243.216.0.0
Broadcast address
243.223.255.255
First usable
243.216.0.1
Last usable
243.223.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F3D80000 · Integer 4091019264 to 4091543551
Reverse DNS zones
216.243.in-addr.arpa
217.243.in-addr.arpa
218.243.in-addr.arpa
219.243.in-addr.arpa
220.243.in-addr.arpa
221.243.in-addr.arpa
222.243.in-addr.arpa
223.243.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110011.11011000.00000000.00000000243.216.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network11110011.11011000.00000000.00000000243.216.0.0
Broadcast11110011.11011111.11111111.11111111243.223.255.255
Split into smaller subnets/20

243.216.0.0/13 makes 128 subnets of /20.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1243.216.0.0/20243.216.0.1 to 243.216.15.254243.216.15.2554,094
2243.216.16.0/20243.216.16.1 to 243.216.31.254243.216.31.2554,094
3243.216.32.0/20243.216.32.1 to 243.216.47.254243.216.47.2554,094
4243.216.48.0/20243.216.48.1 to 243.216.63.254243.216.63.2554,094
5243.216.64.0/20243.216.64.1 to 243.216.79.254243.216.79.2554,094
6243.216.80.0/20243.216.80.1 to 243.216.95.254243.216.95.2554,094
7243.216.96.0/20243.216.96.1 to 243.216.111.254243.216.111.2554,094
8243.216.112.0/20243.216.112.1 to 243.216.127.254243.216.127.2554,094
9243.216.128.0/20243.216.128.1 to 243.216.143.254243.216.143.2554,094
10243.216.144.0/20243.216.144.1 to 243.216.159.254243.216.159.2554,094
11243.216.160.0/20243.216.160.1 to 243.216.175.254243.216.175.2554,094
12243.216.176.0/20243.216.176.1 to 243.216.191.254243.216.191.2554,094
13243.216.192.0/20243.216.192.1 to 243.216.207.254243.216.207.2554,094
14243.216.208.0/20243.216.208.1 to 243.216.223.254243.216.223.2554,094
15243.216.224.0/20243.216.224.1 to 243.216.239.254243.216.239.2554,094
16243.216.240.0/20243.216.240.1 to 243.216.255.254243.216.255.2554,094
17243.217.0.0/20243.217.0.1 to 243.217.15.254243.217.15.2554,094
18243.217.16.0/20243.217.16.1 to 243.217.31.254243.217.31.2554,094
19243.217.32.0/20243.217.32.1 to 243.217.47.254243.217.47.2554,094
20243.217.48.0/20243.217.48.1 to 243.217.63.254243.217.63.2554,094
21243.217.64.0/20243.217.64.1 to 243.217.79.254243.217.79.2554,094
22243.217.80.0/20243.217.80.1 to 243.217.95.254243.217.95.2554,094
23243.217.96.0/20243.217.96.1 to 243.217.111.254243.217.111.2554,094
24243.217.112.0/20243.217.112.1 to 243.217.127.254243.217.127.2554,094
25243.217.128.0/20243.217.128.1 to 243.217.143.254243.217.143.2554,094
26243.217.144.0/20243.217.144.1 to 243.217.159.254243.217.159.2554,094
27243.217.160.0/20243.217.160.1 to 243.217.175.254243.217.175.2554,094
28243.217.176.0/20243.217.176.1 to 243.217.191.254243.217.191.2554,094
29243.217.192.0/20243.217.192.1 to 243.217.207.254243.217.207.2554,094
30243.217.208.0/20243.217.208.1 to 243.217.223.254243.217.223.2554,094
31243.217.224.0/20243.217.224.1 to 243.217.239.254243.217.239.2554,094
32243.217.240.0/20243.217.240.1 to 243.217.255.254243.217.255.2554,094
33243.218.0.0/20243.218.0.1 to 243.218.15.254243.218.15.2554,094
34243.218.16.0/20243.218.16.1 to 243.218.31.254243.218.31.2554,094
35243.218.32.0/20243.218.32.1 to 243.218.47.254243.218.47.2554,094
36243.218.48.0/20243.218.48.1 to 243.218.63.254243.218.63.2554,094
37243.218.64.0/20243.218.64.1 to 243.218.79.254243.218.79.2554,094
38243.218.80.0/20243.218.80.1 to 243.218.95.254243.218.95.2554,094
39243.218.96.0/20243.218.96.1 to 243.218.111.254243.218.111.2554,094
40243.218.112.0/20243.218.112.1 to 243.218.127.254243.218.127.2554,094
41243.218.128.0/20243.218.128.1 to 243.218.143.254243.218.143.2554,094
42243.218.144.0/20243.218.144.1 to 243.218.159.254243.218.159.2554,094
43243.218.160.0/20243.218.160.1 to 243.218.175.254243.218.175.2554,094
44243.218.176.0/20243.218.176.1 to 243.218.191.254243.218.191.2554,094
45243.218.192.0/20243.218.192.1 to 243.218.207.254243.218.207.2554,094
46243.218.208.0/20243.218.208.1 to 243.218.223.254243.218.223.2554,094
47243.218.224.0/20243.218.224.1 to 243.218.239.254243.218.239.2554,094
48243.218.240.0/20243.218.240.1 to 243.218.255.254243.218.255.2554,094
49243.219.0.0/20243.219.0.1 to 243.219.15.254243.219.15.2554,094
50243.219.16.0/20243.219.16.1 to 243.219.31.254243.219.31.2554,094
51243.219.32.0/20243.219.32.1 to 243.219.47.254243.219.47.2554,094
52243.219.48.0/20243.219.48.1 to 243.219.63.254243.219.63.2554,094
53243.219.64.0/20243.219.64.1 to 243.219.79.254243.219.79.2554,094
54243.219.80.0/20243.219.80.1 to 243.219.95.254243.219.95.2554,094
55243.219.96.0/20243.219.96.1 to 243.219.111.254243.219.111.2554,094
56243.219.112.0/20243.219.112.1 to 243.219.127.254243.219.127.2554,094
57243.219.128.0/20243.219.128.1 to 243.219.143.254243.219.143.2554,094
58243.219.144.0/20243.219.144.1 to 243.219.159.254243.219.159.2554,094
59243.219.160.0/20243.219.160.1 to 243.219.175.254243.219.175.2554,094
60243.219.176.0/20243.219.176.1 to 243.219.191.254243.219.191.2554,094
61243.219.192.0/20243.219.192.1 to 243.219.207.254243.219.207.2554,094
62243.219.208.0/20243.219.208.1 to 243.219.223.254243.219.223.2554,094
63243.219.224.0/20243.219.224.1 to 243.219.239.254243.219.239.2554,094
64243.219.240.0/20243.219.240.1 to 243.219.255.254243.219.255.2554,094
65243.220.0.0/20243.220.0.1 to 243.220.15.254243.220.15.2554,094
66243.220.16.0/20243.220.16.1 to 243.220.31.254243.220.31.2554,094
67243.220.32.0/20243.220.32.1 to 243.220.47.254243.220.47.2554,094
68243.220.48.0/20243.220.48.1 to 243.220.63.254243.220.63.2554,094
69243.220.64.0/20243.220.64.1 to 243.220.79.254243.220.79.2554,094
70243.220.80.0/20243.220.80.1 to 243.220.95.254243.220.95.2554,094
71243.220.96.0/20243.220.96.1 to 243.220.111.254243.220.111.2554,094
72243.220.112.0/20243.220.112.1 to 243.220.127.254243.220.127.2554,094
73243.220.128.0/20243.220.128.1 to 243.220.143.254243.220.143.2554,094
74243.220.144.0/20243.220.144.1 to 243.220.159.254243.220.159.2554,094
75243.220.160.0/20243.220.160.1 to 243.220.175.254243.220.175.2554,094
76243.220.176.0/20243.220.176.1 to 243.220.191.254243.220.191.2554,094
77243.220.192.0/20243.220.192.1 to 243.220.207.254243.220.207.2554,094
78243.220.208.0/20243.220.208.1 to 243.220.223.254243.220.223.2554,094
79243.220.224.0/20243.220.224.1 to 243.220.239.254243.220.239.2554,094
80243.220.240.0/20243.220.240.1 to 243.220.255.254243.220.255.2554,094
81243.221.0.0/20243.221.0.1 to 243.221.15.254243.221.15.2554,094
82243.221.16.0/20243.221.16.1 to 243.221.31.254243.221.31.2554,094
83243.221.32.0/20243.221.32.1 to 243.221.47.254243.221.47.2554,094
84243.221.48.0/20243.221.48.1 to 243.221.63.254243.221.63.2554,094
85243.221.64.0/20243.221.64.1 to 243.221.79.254243.221.79.2554,094
86243.221.80.0/20243.221.80.1 to 243.221.95.254243.221.95.2554,094
87243.221.96.0/20243.221.96.1 to 243.221.111.254243.221.111.2554,094
88243.221.112.0/20243.221.112.1 to 243.221.127.254243.221.127.2554,094
89243.221.128.0/20243.221.128.1 to 243.221.143.254243.221.143.2554,094
90243.221.144.0/20243.221.144.1 to 243.221.159.254243.221.159.2554,094
91243.221.160.0/20243.221.160.1 to 243.221.175.254243.221.175.2554,094
92243.221.176.0/20243.221.176.1 to 243.221.191.254243.221.191.2554,094
93243.221.192.0/20243.221.192.1 to 243.221.207.254243.221.207.2554,094
94243.221.208.0/20243.221.208.1 to 243.221.223.254243.221.223.2554,094
95243.221.224.0/20243.221.224.1 to 243.221.239.254243.221.239.2554,094
96243.221.240.0/20243.221.240.1 to 243.221.255.254243.221.255.2554,094
97243.222.0.0/20243.222.0.1 to 243.222.15.254243.222.15.2554,094
98243.222.16.0/20243.222.16.1 to 243.222.31.254243.222.31.2554,094
99243.222.32.0/20243.222.32.1 to 243.222.47.254243.222.47.2554,094
100243.222.48.0/20243.222.48.1 to 243.222.63.254243.222.63.2554,094
101243.222.64.0/20243.222.64.1 to 243.222.79.254243.222.79.2554,094
102243.222.80.0/20243.222.80.1 to 243.222.95.254243.222.95.2554,094
103243.222.96.0/20243.222.96.1 to 243.222.111.254243.222.111.2554,094
104243.222.112.0/20243.222.112.1 to 243.222.127.254243.222.127.2554,094
105243.222.128.0/20243.222.128.1 to 243.222.143.254243.222.143.2554,094
106243.222.144.0/20243.222.144.1 to 243.222.159.254243.222.159.2554,094
107243.222.160.0/20243.222.160.1 to 243.222.175.254243.222.175.2554,094
108243.222.176.0/20243.222.176.1 to 243.222.191.254243.222.191.2554,094
109243.222.192.0/20243.222.192.1 to 243.222.207.254243.222.207.2554,094
110243.222.208.0/20243.222.208.1 to 243.222.223.254243.222.223.2554,094
111243.222.224.0/20243.222.224.1 to 243.222.239.254243.222.239.2554,094
112243.222.240.0/20243.222.240.1 to 243.222.255.254243.222.255.2554,094
113243.223.0.0/20243.223.0.1 to 243.223.15.254243.223.15.2554,094
114243.223.16.0/20243.223.16.1 to 243.223.31.254243.223.31.2554,094
115243.223.32.0/20243.223.32.1 to 243.223.47.254243.223.47.2554,094
116243.223.48.0/20243.223.48.1 to 243.223.63.254243.223.63.2554,094
117243.223.64.0/20243.223.64.1 to 243.223.79.254243.223.79.2554,094
118243.223.80.0/20243.223.80.1 to 243.223.95.254243.223.95.2554,094
119243.223.96.0/20243.223.96.1 to 243.223.111.254243.223.111.2554,094
120243.223.112.0/20243.223.112.1 to 243.223.127.254243.223.127.2554,094
121243.223.128.0/20243.223.128.1 to 243.223.143.254243.223.143.2554,094
122243.223.144.0/20243.223.144.1 to 243.223.159.254243.223.159.2554,094
123243.223.160.0/20243.223.160.1 to 243.223.175.254243.223.175.2554,094
124243.223.176.0/20243.223.176.1 to 243.223.191.254243.223.191.2554,094
125243.223.192.0/20243.223.192.1 to 243.223.207.254243.223.207.2554,094
126243.223.208.0/20243.223.208.1 to 243.223.223.254243.223.223.2554,094
127243.223.224.0/20243.223.224.1 to 243.223.239.254243.223.239.2554,094
128243.223.240.0/20243.223.240.1 to 243.223.255.254243.223.255.2554,094

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses